## Batch create new Workflow instances `client.workflows.instances.bulk(stringworkflowName, InstanceBulkParamsparams, RequestOptionsoptions?): SinglePage` **post** `/accounts/{account_id}/workflows/{workflow_name}/instances/batch` Creates multiple workflow instances in a single batch operation. ### Parameters - `workflowName: string` - `params: InstanceBulkParams` - `account_id: string` Path param - `body?: Array` Body param - `instance_id?: string` - `instance_retention?: InstanceRetention` - `error_retention?: number | string` Specifies the duration in milliseconds or as a string like '5 minutes'. - `number` - `string` - `success_retention?: number | string` Specifies the duration in milliseconds or as a string like '5 minutes'. - `number` - `string` - `params?: unknown` ### Returns - `InstanceBulkResponse` - `id: string` - `status: "queued" | "running" | "paused" | 5 more` - `"queued"` - `"running"` - `"paused"` - `"errored"` - `"terminated"` - `"complete"` - `"waitingForPause"` - `"waiting"` - `version_id: string` - `workflow_id: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const instanceBulkResponse of client.workflows.instances.bulk('x', { account_id: 'account_id', })) { console.log(instanceBulkResponse.id); } ``` #### Response ```json { "errors": [ { "code": 0, "message": "message" } ], "messages": [ { "code": 0, "message": "message" } ], "result": [ { "id": "x", "status": "queued", "version_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "workflow_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" } ], "success": true, "result_info": { "count": 0, "per_page": 0, "total_count": 0, "cursor": "cursor", "page": 0 } } ```